const TaskBase = require("../task.base");
var system = require("../../system")
const logCtl = system.getObject("web.oplogCtl");
//订单进度通知任务
class OrderProgressNotificationTask extends TaskBase {
  constructor() {
    super();
    this.utilstmtasktradeSve = system.getObject("service.utilstmtasktradeSve");
  }
  async subDoTask() {
    await this.orderPaymentReminder();
  }
  //订单付款提醒
  async orderPaymentReminder() {
    console.log("订单付款提醒");
    var tmp = await this.utilstmtasktradeSve.orderPaymentReminder();
    //日志记录
    logCtl.info({
      optitle: "订单付款定时提醒操作服务执行结果",
      op: "/igirl-web/app/base/db/task/OrderProgressNotificationTask.js",
      content: "执行结果：" + JSON.stringify(tmp),
      clientIp: ""
    });
  }
}
module.exports = OrderProgressNotificationTask;

//
// var task=new PlatformBalanceTask();
// task.checkPlatformBalance().then(function(result){
//   console.log((result));
// }).catch(function(e){
//   console.log(e);
// });
